From c7eddcf9836245ba867caf83eb6add5bcb248165 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Tue, 10 Dec 2024 00:54:04 +0200
Subject: [PATCH 50/50] Makevars: Update from gettext-0.23 upstream

See RM #1179

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 translations/core/Makevars    |  8 ++++++--
 translations/nations/Makevars |  8 ++++++--
 translations/ruledit/Makevars | 10 +++++++---
 3 files changed, 19 insertions(+), 7 deletions(-)

diff --git a/translations/core/Makevars b/translations/core/Makevars
index f83a8eb0c5..5f3e960575 100644
--- a/translations/core/Makevars
+++ b/translations/core/Makevars
@@ -1,4 +1,8 @@
 # Makefile variables for PO directory in any package using GNU gettext.
+#
+# Copyright (C) 2003-2023 Free Software Foundation, Inc.
+# This file, Makevars, is free software; the Free Software Foundation
+# gives unlimited permission to use, copy, distribute, and modify it.
 
 # Usually the message domain is the same as the package name.
 DOMAIN = freeciv-core
@@ -9,6 +13,7 @@ top_builddir = ../..
 
 # These options get passed to xgettext.
 XGETTEXT_OPTIONS = \
+  --package-name='Freeciv' \
   --keyword=_ --flag=_:1:pass-c-format \
   --keyword=N_ --flag=N_:1:pass-c-format \
   --flag=error:3:c-format --flag=error_at_line:5:c-format \
@@ -62,8 +67,7 @@ USE_MSGCTXT = yes
 
 # These options get passed to msgmerge.
 # Useful options are in particular:
-#   --previous            to keep previous msgids of translated messages,
-#   --quiet               to reduce the verbosity.
+#   --previous            to keep previous msgids of translated messages
 MSGMERGE_OPTIONS = --previous --quiet
 
 # These options get passed to msginit.
diff --git a/translations/nations/Makevars b/translations/nations/Makevars
index 4c1973ac27..b92ed35dae 100644
--- a/translations/nations/Makevars
+++ b/translations/nations/Makevars
@@ -1,4 +1,8 @@
 # Makefile variables for PO directory in any package using GNU gettext.
+#
+# Copyright (C) 2003-2023 Free Software Foundation, Inc.
+# This file, Makevars, is free software; the Free Software Foundation
+# gives unlimited permission to use, copy, distribute, and modify it.
 
 # Usually the message domain is the same as the package name.
 DOMAIN = freeciv-nations
@@ -9,6 +13,7 @@ top_builddir = ../..
 
 # These options get passed to xgettext.
 XGETTEXT_OPTIONS = \
+  --package-name='Freeciv' \
   --keyword=_ --flag=_:1:pass-c-format \
   --keyword=N_ --flag=N_:1:pass-c-format \
   --flag=error:3:c-format --flag=error_at_line:5:c-format \
@@ -62,8 +67,7 @@ USE_MSGCTXT = yes
 
 # These options get passed to msgmerge.
 # Useful options are in particular:
-#   --previous            to keep previous msgids of translated messages,
-#   --quiet               to reduce the verbosity.
+#   --previous            to keep previous msgids of translated messages
 MSGMERGE_OPTIONS = --previous --quiet
 
 # These options get passed to msginit.
diff --git a/translations/ruledit/Makevars b/translations/ruledit/Makevars
index df36523c27..ab56ffa169 100644
--- a/translations/ruledit/Makevars
+++ b/translations/ruledit/Makevars
@@ -1,4 +1,8 @@
 # Makefile variables for PO directory in any package using GNU gettext.
+#
+# Copyright (C) 2003-2023 Free Software Foundation, Inc.
+# This file, Makevars, is free software; the Free Software Foundation
+# gives unlimited permission to use, copy, distribute, and modify it.
 
 # Usually the message domain is the same as the package name.
 DOMAIN = freeciv-ruledit
@@ -9,6 +13,7 @@ top_builddir = ../..
 
 # These options get passed to xgettext.
 XGETTEXT_OPTIONS = \
+  --package-name='Freeciv' \
   --keyword=_ --flag=_:1:pass-c-format \
   --keyword=N_ --flag=N_:1:pass-c-format \
   --flag=error:3:c-format --flag=error_at_line:5:c-format \
@@ -16,7 +21,7 @@ XGETTEXT_OPTIONS = \
   --flag=xasprintf:1:c-format --flag=error_logger:1:c-format \
   --flag=po_error:3:c-format --flag=po_error_at_line:5:c-format \
   --flag=po_gram_error:1:c-format --flag=po_gram_error_at_line:2:c-format \
-  --keyword=R__ --keyword=RQ_ \
+  --keyword=R__ --keyword=RQ_
 
 # This is the copyright holder that gets inserted into the header of the
 # $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
@@ -63,8 +68,7 @@ USE_MSGCTXT = yes
 
 # These options get passed to msgmerge.
 # Useful options are in particular:
-#   --previous            to keep previous msgids of translated messages,
-#   --quiet               to reduce the verbosity.
+#   --previous            to keep previous msgids of translated messages
 MSGMERGE_OPTIONS = --previous --quiet
 
 # These options get passed to msginit.
-- 
2.45.2