From d1012bdfbf5154b02b11ad2a82d8a06af464cbfc Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Wed, 8 Jan 2025 06:09:17 +0200
Subject: [PATCH 17/17] Correct "multipler" to "multiplier"

See RM #1206

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 client/gui-qt/menu.cpp     |  2 +-
 client/gui-qt/ratesdlg.cpp | 20 ++++++++++----------
 client/gui-qt/ratesdlg.h   |  4 ++--
 3 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/client/gui-qt/menu.cpp b/client/gui-qt/menu.cpp
index a1cd512ee4..d0c6d5e1dd 100644
--- a/client/gui-qt/menu.cpp
+++ b/client/gui-qt/menu.cpp
@@ -3690,7 +3690,7 @@ void mr_menu::slot_popup_tax_rates()
 }
 
 /**********************************************************************//**
-  Action "MULTIPLERS RATES"
+  Action "MULTIPLIERS RATES"
 **************************************************************************/
 void mr_menu::slot_popup_mult_rates()
 {
diff --git a/client/gui-qt/ratesdlg.cpp b/client/gui-qt/ratesdlg.cpp
index 3b31a5a2ac..d9a4820436 100644
--- a/client/gui-qt/ratesdlg.cpp
+++ b/client/gui-qt/ratesdlg.cpp
@@ -125,10 +125,10 @@ void tax_rates_dialog::slot_apply_button_pressed()
 }
 
 /**********************************************************************//**
-  Multipler rates dialog constructor
+  Multiplier rates dialog constructor
   Inheriting from qfc_dialog will cause crash in Qt5.2
 **************************************************************************/
-multipler_rates_dialog::multipler_rates_dialog(QWidget *parent)
+multiplier_rates_dialog::multiplier_rates_dialog(QWidget *parent)
   : QDialog(parent)
 {
   QGroupBox *group_box;
@@ -153,7 +153,7 @@ multipler_rates_dialog::multipler_rates_dialog(QWidget *parent)
     slider->setMaximum(mult_to_scale(pmul, pmul->stop));
     slider->setValue(mult_to_scale(pmul, val));
     connect(slider, &QAbstractSlider::valueChanged,
-            this, &multipler_rates_dialog::slot_set_value);
+            this, &multiplier_rates_dialog::slot_set_value);
     slider_list.append(slider);
     label = new QLabel(QString::number(mult_to_scale(pmul, val)));
     hb->addWidget(slider);
@@ -168,9 +168,9 @@ multipler_rates_dialog::multipler_rates_dialog(QWidget *parent)
   cancel_button->setText(_("Cancel"));
   ok_button->setText(_("Ok"));
   connect(cancel_button, &QAbstractButton::pressed,
-          this, &multipler_rates_dialog::slot_cancel_button_pressed);
+          this, &multiplier_rates_dialog::slot_cancel_button_pressed);
   connect(ok_button, &QAbstractButton::pressed,
-          this, &multipler_rates_dialog::slot_ok_button_pressed);
+          this, &multiplier_rates_dialog::slot_ok_button_pressed);
   some_layout->addWidget(cancel_button);
   some_layout->addWidget(ok_button);
   main_layout->addSpacing(20);
@@ -181,7 +181,7 @@ multipler_rates_dialog::multipler_rates_dialog(QWidget *parent)
 /**********************************************************************//**
   Slider value changed
 **************************************************************************/
-void multipler_rates_dialog::slot_set_value(int i)
+void multiplier_rates_dialog::slot_set_value(int i)
 {
   QSlider *qo;
   qo = (QSlider *) QObject::sender();
@@ -196,7 +196,7 @@ void multipler_rates_dialog::slot_set_value(int i)
 /**********************************************************************//**
   Cancel pressed
 **************************************************************************/
-void multipler_rates_dialog::slot_cancel_button_pressed()
+void multiplier_rates_dialog::slot_cancel_button_pressed()
 {
   close();
   deleteLater();
@@ -205,7 +205,7 @@ void multipler_rates_dialog::slot_cancel_button_pressed()
 /**********************************************************************//**
   Ok pressed - send multipliers' values.
 **************************************************************************/
-void multipler_rates_dialog::slot_ok_button_pressed()
+void multiplier_rates_dialog::slot_ok_button_pressed()
 {
   int j = 0;
   int value;
@@ -278,12 +278,12 @@ void real_multipliers_dialog_update(void *unused)
 **************************************************************************/
 void popup_multiplier_dialog(void)
 {
-  multipler_rates_dialog *mrd;
+  multiplier_rates_dialog *mrd;
 
   if (!can_client_issue_orders()) {
     return;
   }
-  mrd = new multipler_rates_dialog(gui()->central_wdg);
+  mrd = new multiplier_rates_dialog(gui()->central_wdg);
   mrd->show();
 }
 
diff --git a/client/gui-qt/ratesdlg.h b/client/gui-qt/ratesdlg.h
index 76bb861c3b..ef5a690e55 100644
--- a/client/gui-qt/ratesdlg.h
+++ b/client/gui-qt/ratesdlg.h
@@ -94,12 +94,12 @@ private slots:
 /**************************************************************************
   Dialog used to change policies
 **************************************************************************/
-class multipler_rates_dialog: public QDialog
+class multiplier_rates_dialog: public QDialog
 {
   Q_OBJECT
 
 public:
-  explicit multipler_rates_dialog(QWidget *parent = nullptr);
+  explicit multiplier_rates_dialog(QWidget *parent = nullptr);
 private:
   QList<QSlider*> slider_list;
   QPushButton *cancel_button;
-- 
2.45.2