From 4a012e40b0547e70dfa12554f2190ee89dc3fc02 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Sat, 18 Jan 2025 16:58:39 +0200
Subject: [PATCH 23/23] AI: Rename aidiplomat.[ch] as daidiplomat.[ch]

See RM #1221

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 ai/default/Makefile.am                     | 4 ++--
 ai/default/{aidiplomat.c => daidiplomat.c} | 2 +-
 ai/default/{aidiplomat.h => daidiplomat.h} | 7 ++++---
 ai/default/daimilitary.c                   | 2 +-
 ai/default/daiunit.c                       | 2 +-
 meson.build                                | 2 +-
 6 files changed, 10 insertions(+), 9 deletions(-)
 rename ai/default/{aidiplomat.c => daidiplomat.c} (99%)
 rename ai/default/{aidiplomat.h => daidiplomat.h} (93%)

diff --git a/ai/default/Makefile.am b/ai/default/Makefile.am
index 28bd3f1dda..3bccfeaa9c 100644
--- a/ai/default/Makefile.am
+++ b/ai/default/Makefile.am
@@ -15,8 +15,6 @@ AM_CPPFLAGS = \
 	-I$(top_srcdir)/gen_headers/enums
 
 libdefaultai_la_SOURCES = \
-		aidiplomat.c	\
-		aidiplomat.h	\
 		aiferry.c	\
 		aiferry.h	\
 		aiguard.c	\
@@ -33,6 +31,8 @@ libdefaultai_la_SOURCES = \
 		daidata.h	\
 		daidiplomacy.c	\
 		daidiplomacy.h	\
+		daidiplomat.c	\
+		daidiplomat.h	\
 		daidomestic.c	\
 		daidomestic.h	\
 		daieffects.c	\
diff --git a/ai/default/aidiplomat.c b/ai/default/daidiplomat.c
similarity index 99%
rename from ai/default/aidiplomat.c
rename to ai/default/daidiplomat.c
index 0b59c30c1f..e478be8302 100644
--- a/ai/default/aidiplomat.c
+++ b/ai/default/daidiplomat.c
@@ -71,7 +71,7 @@
 #include "daitools.h"
 #include "daiunit.h"
 
-#include "aidiplomat.h"
+#include "daidiplomat.h"
 
 
 #define LOG_DIPLOMAT LOG_DEBUG
diff --git a/ai/default/aidiplomat.h b/ai/default/daidiplomat.h
similarity index 93%
rename from ai/default/aidiplomat.h
rename to ai/default/daidiplomat.h
index f04c72c273..ecf0824b0a 100644
--- a/ai/default/aidiplomat.h
+++ b/ai/default/daidiplomat.h
@@ -10,9 +10,10 @@
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 ***********************************************************************/
-#ifndef FC__AIDIPLOMAT_H
-#define FC__AIDIPLOMAT_H
+#ifndef FC__DAIDIPLOMAT_H
+#define FC__DAIDIPLOMAT_H
 
+/* common */
 #include "fc_types.h"
 
 void dai_manage_diplomat(struct ai_type *ait, struct player *pplayer,
@@ -27,4 +28,4 @@ void dai_choose_diplomat_offensive(struct ai_type *ait,
                                    struct city *pcity,
                                    struct adv_choice *choice);
 
-#endif /* FC__AIDIPLOMAT_H */
+#endif /* FC__DAIDIPLOMAT_H */
diff --git a/ai/default/daimilitary.c b/ai/default/daimilitary.c
index 278801cecb..f4a3caa6c1 100644
--- a/ai/default/daimilitary.c
+++ b/ai/default/daimilitary.c
@@ -53,12 +53,12 @@
 #include "handicaps.h"
 
 /* ai/default */
-#include "aidiplomat.h"
 #include "aiferry.h"
 #include "aihand.h"
 #include "daiair.h"
 #include "daicity.h"
 #include "daidata.h"
+#include "daidiplomat.h"
 #include "daieffects.h"
 #include "daihunter.h"
 #include "dailog.h"
diff --git a/ai/default/daiunit.c b/ai/default/daiunit.c
index baa4749ef3..30d5725ec0 100644
--- a/ai/default/daiunit.c
+++ b/ai/default/daiunit.c
@@ -66,13 +66,13 @@
 #include "handicaps.h"
 
 /* ai/default */
-#include "aidiplomat.h"
 #include "aiferry.h"
 #include "aiguard.h"
 #include "aihand.h"
 #include "daiair.h"
 #include "daicity.h"
 #include "daidata.h"
+#include "daidiplomat.h"
 #include "daieffects.h"
 #include "daihunter.h"
 #include "dailog.h"
diff --git a/meson.build b/meson.build
index 677c26db04..26a4281cc1 100644
--- a/meson.build
+++ b/meson.build
@@ -1502,7 +1502,6 @@ ais = static_library('fc_ai',
   'ai/tex/texaimsg.c',
   'ai/tex/texaiplayer.c',
   'ai/tex/texaiworld.c',
-  'ai/default/aidiplomat.c',
   'ai/default/aiferry.c',
   'ai/default/aiguard.c',
   'ai/default/aihand.c',
@@ -1511,6 +1510,7 @@ ais = static_library('fc_ai',
   'ai/default/daicity.c',
   'ai/default/daidata.c',
   'ai/default/daidiplomacy.c',
+  'ai/default/daidiplomat.c',
   'ai/default/daidomestic.c',
   'ai/default/daieffects.c',
   'ai/default/daihunter.c',
-- 
2.45.2